Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet
Class ConfigParameter

    java.lang.Object
      xdoclet.ConfigParameter

All Implemented Interfaces:
  Serializable

public final class ConfigParameter
extends Object
implements Serializable

Allows to set configuration parameters that will be included in the element as attribute value pair.
The following input

<configParam name="foo" value="bar"/>

will give

<foo>bar</foo>

Version:
  $Revision: 1.7 $
Author:
  Ara Abrahamian (ara_e@email.com)
See Also:
  Serialized Form
ant.element
  name="configParam"
created
  Jan 21, 2002

Constructor Summary
`ConfigParameter()`

Method Summary
`String` | `getName()` Gets the Name attribute of the ConfigParameter object
`String` | `getValue()` Gets the Value attribute of the ConfigParameter object
`void` | `setName(String name)` The name of the parameter.
`void` | `setValue(String value)` The value of the parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigParameter

    public ConfigParameter()

Method Detail

### getName

    public String getName()

  Gets the Name attribute of the ConfigParameter object

  Returns:
    The Name value

### getValue

    public String getValue()

  Gets the Value attribute of the ConfigParameter object

  Returns:
    The Value value

### setName

    public void setName(String name)

  The name of the parameter.

  Parameters:
    `name` - The new Name value
  ant.required
    Yes

### setValue

    public void setValue(String value)

  The value of the parameter.

  Parameters:
    `value` - The new Value value
  ant.required
    Yes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD